Skip to content

Graph data

Statistics
POSThttps://api.dcdial.com/api/type=get_graph_data
Read onlyToken

Returns a campaign’s statistics as chart-ready series.

Parameters

Send as application/x-www-form-urlencoded.

  • typestringrequired

    Selects the operation. Always get_graph_data for this endpoint.

  • tokenstringrequired

    Your API token from Log in. See Authentication.

  • campaign_idintegerrequired

    ID of the campaign.

    Example 1024
Terminal window
curl https://api.dcdial.com/api/ \
-d type=get_graph_data \
-d token="$DCDIAL_TOKEN" \
-d campaign_id=1024
Response · 200 OK
{
"response": {
"success": 1,
"error": "",
"graph_data": [
{
"dialed": "120",
"delivered": "96",
"drops": "2"
},
{
"dialed": "140",
"delivered": "111",
"drops": "3"
}
]
}
}

Try it

Environment